# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Test-TinyMocker
Version:        0.03
Release:        alt1_5
Summary:        A very simple tool to mock external modules
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Test-TinyMocker/
Source0:        http://www.cpan.org/authors/id/S/SU/SUKRIA/Test-TinyMocker-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Pod/Coverage.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)


Source44: import.info

%description
This module allows you to override methods with arbitrary code blocks. This lets
you simulate some kind of behavior for your tests.

%prep
%setup -q -n Test-TinyMocker-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%files
%doc AUTHORS Changes README
%{perl_vendor_privlib}/*

%changelog
* Fri Apr 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_5
- update from fc import

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_4
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_2
- fc import

